Subject: I-D Action: draft-silverajan-core-coap-alternative-transports-03.txt

From: [email-masked]
Date: Mon, 21 Oct 2013 07:23:26 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title           : CoAP Communication with Alternative Transports
	Author(s)       : Bilhanan Silverajan
                          Teemu Savolainen
	Filename        : draft-silverajan-core-coap-alternative-transports-03.txt
	Pages           : 15
	Date            : 2013-10-21

Abstract:
   CoAP is being standardised as an application level REST-based
   protocol.  A single CoAP message is typically encapsulated and
   transmitted using UDP.  This draft examines the requirements and
   possible solutions for conveying CoAP packets to end points over
   alternative transports to UDP.  UDP remains the optimal solution for
   CoAP use in IP-based constrained environments and nodes.  However the
   need for M2M communication using non-IP networks, improved transport
   level end-to-end reliability and security, NAT and firewall traversal
   issues, and mechanisms possibly incurring a lower overhead to CoAP/
   HTTP translation gateways provide compelling motivation for
   understanding how CoAP can operate in various other environments.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-silverajan-core-coap-alternative-transports

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-silverajan-core-coap-alternative-transports-03

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-silverajan-core-coap-alternative-transports-03

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/